Package x2go :: Module mimeboxactions :: Class X2GoMIMEboxActionOPEN

[frames] | no frames]

# Class X2GoMIMEboxActionOPEN

source code

           object --+
                    |
    X2GoMIMEboxAction --+
                        |
                       X2GoMIMEboxActionOPEN

MIME box action that opens incoming files in the system's default application.

Instance Methods

__init__(self, client_instance=None, logger=None, loglevel=56) This is a meta class and has no functionality as such. | source code

Inherited from `X2GoMIMEboxAction`: `do_process` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __name__ = ``'``OPEN``'``
| __decription__ = ``'``Open incoming file with local system\'s defa``...``
Inherited from `X2GoMIMEboxAction`: `__description__`

Properties
Inherited from `X2GoMIMEboxAction`: `description`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, client_instance=None, logger=None, loglevel=56)
(Constructor)

source code

This is a meta class and has no functionality as such. It is used as parent class by »real« X2Go MIME box actions.

Parameters:
  - `client_instance` (`obj`) - the underlying X2GoClient instance
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoMIMEboxActionOPEN constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

Class Variable Details

### __decription__

Value:

      'Open incoming file with local system\'s default application.'